"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.discardMergeTreeDeltaRevertible = exports.appendToMergeTreeDeltaRevertibles = exports.TextSegment = exports.SortedSegmentSet = exports.SortedSet = exports.PropertiesRollback = exports.PropertiesManager = exports.SegmentGroupCollection = exports.reservedTileLabelsKey = exports.reservedRangeLabelsKey = exports.refTypeIncludesFlag = exports.refHasTileLabels = exports.refHasTileLabel = exports.refGetTileLabels = exports.minReferencePosition = exports.maxReferencePosition = exports.DetachedReferencePosition = exports.compareReferencePositions = exports.matchProperties = exports.createMap = exports.addProperties = exports.ReferenceType = exports.MergeTreeDeltaType = exports.createObliterateRangeOp = exports.createRemoveRangeOp = exports.createInsertSegmentOp = exports.createInsertOp = exports.createGroupOp = exports.createAnnotateRangeOp = exports.TrackingGroupCollection = exports.TrackingGroup = exports.toRemovalInfo = exports.reservedMarkerSimpleTypeKey = exports.reservedMarkerIdKey = exports.MergeNode = exports.Marker = exports.debugMarkerToString = exports.CollaborationWindow = exports.BaseSegment = exports.MergeTreeMaintenanceType = exports.getSlideToSegoff = exports.SlidingPreference = exports.LocalReferenceCollection = exports.createDetachedLocalReferencePosition = exports.UniversalSequenceNumber = exports.UnassignedSequenceNumber = exports.RedBlackTree = exports.RBColor = exports.Client = exports.createInsertOnlyAttributionPolicy = void 0;
exports.revertMergeTreeDeltaRevertibles = exports.isMergeTreeDeltaRevertible = void 0;
var attributionPolicy_1 = require("./attributionPolicy");
Object.defineProperty(exports, "createInsertOnlyAttributionPolicy", { enumerable: true, get: function () { return attributionPolicy_1.createInsertOnlyAttributionPolicy; } });
var client_1 = require("./client");
Object.defineProperty(exports, "Client", { enumerable: true, get: function () { return client_1.Client; } });
var collections_1 = require("./collections");
Object.defineProperty(exports, "RBColor", { enumerable: true, get: function () { return collections_1.RBColor; } });
Object.defineProperty(exports, "RedBlackTree", { enumerable: true, get: function () { return collections_1.RedBlackTree; } });
var constants_1 = require("./constants");
Object.defineProperty(exports, "UnassignedSequenceNumber", { enumerable: true, get: function () { return constants_1.UnassignedSequenceNumber; } });
Object.defineProperty(exports, "UniversalSequenceNumber", { enumerable: true, get: function () { return constants_1.UniversalSequenceNumber; } });
var localReference_1 = require("./localReference");
Object.defineProperty(exports, "createDetachedLocalReferencePosition", { enumerable: true, get: function () { return localReference_1.createDetachedLocalReferencePosition; } });
Object.defineProperty(exports, "LocalReferenceCollection", { enumerable: true, get: function () { return localReference_1.LocalReferenceCollection; } });
Object.defineProperty(exports, "SlidingPreference", { enumerable: true, get: function () { return localReference_1.SlidingPreference; } });
var mergeTree_1 = require("./mergeTree");
Object.defineProperty(exports, "getSlideToSegoff", { enumerable: true, get: function () { return mergeTree_1.getSlideToSegoff; } });
var mergeTreeDeltaCallback_1 = require("./mergeTreeDeltaCallback");
Object.defineProperty(exports, "MergeTreeMaintenanceType", { enumerable: true, get: function () { return mergeTreeDeltaCallback_1.MergeTreeMaintenanceType; } });
var mergeTreeNodes_1 = require("./mergeTreeNodes");
Object.defineProperty(exports, "BaseSegment", { enumerable: true, get: function () { return mergeTreeNodes_1.BaseSegment; } });
Object.defineProperty(exports, "CollaborationWindow", { enumerable: true, get: function () { return mergeTreeNodes_1.CollaborationWindow; } });
Object.defineProperty(exports, "debugMarkerToString", { enumerable: true, get: function () { return mergeTreeNodes_1.debugMarkerToString; } });
Object.defineProperty(exports, "Marker", { enumerable: true, get: function () { return mergeTreeNodes_1.Marker; } });
Object.defineProperty(exports, "MergeNode", { enumerable: true, get: function () { return mergeTreeNodes_1.MergeNode; } });
Object.defineProperty(exports, "reservedMarkerIdKey", { enumerable: true, get: function () { return mergeTreeNodes_1.reservedMarkerIdKey; } });
Object.defineProperty(exports, "reservedMarkerSimpleTypeKey", { enumerable: true, get: function () { return mergeTreeNodes_1.reservedMarkerSimpleTypeKey; } });
Object.defineProperty(exports, "toRemovalInfo", { enumerable: true, get: function () { return mergeTreeNodes_1.toRemovalInfo; } });
var mergeTreeTracking_1 = require("./mergeTreeTracking");
Object.defineProperty(exports, "TrackingGroup", { enumerable: true, get: function () { return mergeTreeTracking_1.TrackingGroup; } });
Object.defineProperty(exports, "TrackingGroupCollection", { enumerable: true, get: function () { return mergeTreeTracking_1.TrackingGroupCollection; } });
var opBuilder_1 = require("./opBuilder");
Object.defineProperty(exports, "createAnnotateRangeOp", { enumerable: true, get: function () { return opBuilder_1.createAnnotateRangeOp; } });
Object.defineProperty(exports, "createGroupOp", { enumerable: true, get: function () { return opBuilder_1.createGroupOp; } });
Object.defineProperty(exports, "createInsertOp", { enumerable: true, get: function () { return opBuilder_1.createInsertOp; } });
Object.defineProperty(exports, "createInsertSegmentOp", { enumerable: true, get: function () { return opBuilder_1.createInsertSegmentOp; } });
Object.defineProperty(exports, "createRemoveRangeOp", { enumerable: true, get: function () { return opBuilder_1.createRemoveRangeOp; } });
Object.defineProperty(exports, "createObliterateRangeOp", { enumerable: true, get: function () { return opBuilder_1.createObliterateRangeOp; } });
var ops_1 = require("./ops");
Object.defineProperty(exports, "MergeTreeDeltaType", { enumerable: true, get: function () { return ops_1.MergeTreeDeltaType; } });
Object.defineProperty(exports, "ReferenceType", { enumerable: true, get: function () { return ops_1.ReferenceType; } });
var properties_1 = require("./properties");
Object.defineProperty(exports, "addProperties", { enumerable: true, get: function () { return properties_1.addProperties; } });
Object.defineProperty(exports, "createMap", { enumerable: true, get: function () { return properties_1.createMap; } });
Object.defineProperty(exports, "matchProperties", { enumerable: true, get: function () { return properties_1.matchProperties; } });
var referencePositions_1 = require("./referencePositions");
Object.defineProperty(exports, "compareReferencePositions", { enumerable: true, get: function () { return referencePositions_1.compareReferencePositions; } });
Object.defineProperty(exports, "DetachedReferencePosition", { enumerable: true, get: function () { return referencePositions_1.DetachedReferencePosition; } });
Object.defineProperty(exports, "maxReferencePosition", { enumerable: true, get: function () { return referencePositions_1.maxReferencePosition; } });
Object.defineProperty(exports, "minReferencePosition", { enumerable: true, get: function () { return referencePositions_1.minReferencePosition; } });
Object.defineProperty(exports, "refGetTileLabels", { enumerable: true, get: function () { return referencePositions_1.refGetTileLabels; } });
Object.defineProperty(exports, "refHasTileLabel", { enumerable: true, get: function () { return referencePositions_1.refHasTileLabel; } });
Object.defineProperty(exports, "refHasTileLabels", { enumerable: true, get: function () { return referencePositions_1.refHasTileLabels; } });
Object.defineProperty(exports, "refTypeIncludesFlag", { enumerable: true, get: function () { return referencePositions_1.refTypeIncludesFlag; } });
Object.defineProperty(exports, "reservedRangeLabelsKey", { enumerable: true, get: function () { return referencePositions_1.reservedRangeLabelsKey; } });
Object.defineProperty(exports, "reservedTileLabelsKey", { enumerable: true, get: function () { return referencePositions_1.reservedTileLabelsKey; } });
var segmentGroupCollection_1 = require("./segmentGroupCollection");
Object.defineProperty(exports, "SegmentGroupCollection", { enumerable: true, get: function () { return segmentGroupCollection_1.SegmentGroupCollection; } });
var segmentPropertiesManager_1 = require("./segmentPropertiesManager");
Object.defineProperty(exports, "PropertiesManager", { enumerable: true, get: function () { return segmentPropertiesManager_1.PropertiesManager; } });
Object.defineProperty(exports, "PropertiesRollback", { enumerable: true, get: function () { return segmentPropertiesManager_1.PropertiesRollback; } });
var sortedSet_1 = require("./sortedSet");
Object.defineProperty(exports, "SortedSet", { enumerable: true, get: function () { return sortedSet_1.SortedSet; } });
var sortedSegmentSet_1 = require("./sortedSegmentSet");
Object.defineProperty(exports, "SortedSegmentSet", { enumerable: true, get: function () { return sortedSegmentSet_1.SortedSegmentSet; } });
var textSegment_1 = require("./textSegment");
Object.defineProperty(exports, "TextSegment", { enumerable: true, get: function () { return textSegment_1.TextSegment; } });
var revertibles_1 = require("./revertibles");
Object.defineProperty(exports, "appendToMergeTreeDeltaRevertibles", { enumerable: true, get: function () { return revertibles_1.appendToMergeTreeDeltaRevertibles; } });
Object.defineProperty(exports, "discardMergeTreeDeltaRevertible", { enumerable: true, get: function () { return revertibles_1.discardMergeTreeDeltaRevertible; } });
Object.defineProperty(exports, "isMergeTreeDeltaRevertible", { enumerable: true, get: function () { return revertibles_1.isMergeTreeDeltaRevertible; } });
Object.defineProperty(exports, "revertMergeTreeDeltaRevertibles", { enumerable: true, get: function () { return revertibles_1.revertMergeTreeDeltaRevertibles; } });
//# sourceMappingURL=index.js.map